Subject: [PATCH v2 00/15] Add hledger and its dependencies.

From: Carlo Holl <[email-masked]>
Date: Sat, 31 Oct 2020 19:02:21 -0700

This patch series adds hledger, a plaintext accounting program.

Changes since v1 (based on feedback from Christopher Baines):
    - Fixed incorrect indentation.
    - Added changelog entries to each commit message.
    - Improved descriptions for some of the packages.
    - Moved attribution to first commits to touch any given file.

Notes:

Christopher suggested I wrap an ascii table with @verbatim as part of the description for the ghc-tabular package so that it displays correctly, but I couldn't get 'guix show' to work with @verbatim, failing with <<Throw to key `parser-error' with args `(#<input: string 7fdb95dad700> "EOF while reading a token " "reading verbatim")'.>>. I used @example instead, which works under 'guix show', but I'm not sure what the implications are for other output formats.

Carlo Holl (15):
  gnu: Add ghc-control-monad-free.
  gnu: Add ghc-csv.
  gnu: Add ghc-decimal.
  gnu: ghc-doctest: Update to 0.16.3.
  gnu: Add ghc-hspec-megaparsec.
  gnu: Add ghc-lucid.
  gnu: Add ghc-only.
  gnu: Add ghc-text-short.
  gnu: Add ghc-tabular.
  gnu: Add ghc-uglymemo.
  gnu: Add ghc-wizards.
  gnu: Add ghc-cassava.
  gnu: Add ghc-cassava-megaparsec.
  gnu: Add ghc-hledger-lib.
  gnu: Add hledger.

 gnu/packages/finance.scm     |  63 ++++
 gnu/packages/haskell-xyz.scm | 557 ++++++++++++++++++++++++++++++++++-
 2 files changed, 608 insertions(+), 12 deletions(-)

-- 
2.28.0